## ucar.multiarray
Class FlipMap

    java.lang.Object
      ucar.multiarray.ConcreteIndexMap
          ucar.multiarray.FlipMap

All Implemented Interfaces:
  IndexMap

public class FlipMap
extends ConcreteIndexMap

Use with MultiArrayProxy to flip (invert) the indexing along a particular dimension. Maps {0, 1, ..., N-1} to {N-1, N-2, ..., 0} where N is the length of the dimension.

See Also:
  `IndexMap`, `MultiArrayProxy`

Nested Class Summary

Nested classes inherited from class ucar.multiarray.ConcreteIndexMap
`ConcreteIndexMap.ZZMap`

Field Summary

Fields inherited from class ucar.multiarray.ConcreteIndexMap
`iMap_, lengthsMap_`

Constructor Summary
`FlipMap(ConcreteIndexMap prev, int position)` Create an IndexMap which flips the indexing for a particular dimension and is functionally composed with another IndexMap.
`FlipMap(int position)` Create an IndexMap which flips the indexing for a particular dimension.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class ucar.multiarray.ConcreteIndexMap
`getLengths, getOutputLength, getRank, getTransformed, init, init, link, link, setInput, setLengths, toString, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlipMap

    public FlipMap(int position)

  Create an IndexMap which flips the indexing for a particular dimension.

Parameters:
  `position` - the dimension number where the index is to be flipped.

### FlipMap

    public FlipMap(ConcreteIndexMap prev,
                   int position)

  Create an IndexMap which flips the indexing for a particular dimension and is functionally composed with another IndexMap.

Parameters:
  `prev` - ConcreteIndexMap to be composed with this.
  `position` - the dimension number where the index is to be flipped.

Method Detail

### main

    public static void main(String[] args)